NumberFormatter::getErrorMessage
NumberFormatter::getPattern
NumberFormatter
PHP Manual

# NumberFormatter::getLocale

# numfmt_get_locale

Get formatter locale

### Description

Object oriented style

public string NumberFormatter::getLocale ([ int `$type` ] )

Procedural style

string numfmt_get_locale ( NumberFormatter `$fmt` [, int `$type` ] )

Get formatter locale name.

### Parameters

`fmt`

  NumberFormatter object.

`type`

  You can choose between valid and actual locale ( `Locale::VALID_LOCALE`, `Locale::ACTUAL_LOCALE`, respectively). The default is the actual locale.

### Return Values

The locale name used to create the formatter.

### Examples

Example #1 numfmt_get_locale example

`<?php
$req = 'fr_FR_PARIS';
$fmt = numfmt_create( $req, NumberFormatter::DECIMAL);
$res_val = numfmt_get_locale( $fmt, Locale::VALID_LOCALE );
$res_act = numfmt_get_locale( $fmt, Locale::ACTUAL_LOCALE );
printf( "Requested locale name: %s\nValid locale name: %s\nActual locale name: %s\n",
$req, $res_val, $res_act );
?>`

The above example will output:

    Requested locale name: fr_FR_PARIS
    Valid locale name: fr_FR
    Actual locale name: fr

### See Also

- numfmt_create
- numfmt_get_error_code